Page MenuHomePhabricator

Improve developer happiness in reading web maintained extensions
Closed, ResolvedPublic

Description

There are various tasks open relating to our tooling (see subtasks), test coverage and documentation. Let's have a focused effort to address them.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedJdlrobson
StalledNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedABorbaWMF
DuplicateJdlrobson
ResolvedNiedzielski
ResolvedJdlrobson
ResolvedJdlrobson
DuplicateNone
ResolvedJhernandez
Duplicatepmiazga
DuplicateNone
StalledNone
ResolvedJhernandez
OpenNone
ResolvedJdlrobson
DuplicateNone
OpenNone
OpenNone
ResolvedJdlrobson
DeclinedNone
ResolvedJhernandez
ResolvedJdrewniak
Resolvedpmiazga
ResolvedJdrewniak
ResolvedJdlrobson
ResolvedJdrewniak
ResolvedJhernandez
Resolvedbmansurov
OpenJdlrobson
Opennray
ResolvedJhernandez
DeclinedNone
DeclinedNone
DeclinedNone
Resolvedzeljkofilipin
Resolvedzeljkofilipin
DuplicateJdlrobson
ResolvedJdlrobson
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
OpenNone
ResolvedJdlrobson
ResolvedNone
Resolvedawight
DuplicateLegoktm
StalledNone
OpenNone
Resolvedzeljkofilipin
Resolvedhashar
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdrewniak
OpenNone
OpenNone
OpenNone
ResolvedJdlrobson
Resolvedpmiazga
DuplicateNone
DeclinedNone
Resolvedphuedx
Resolved Nirzar
ResolvedABorbaWMF
ResolvedJdlrobson
DeclinedNone
ResolvedNone
ResolvedJdlrobson

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 7:06 PM
Jdlrobson renamed this task from Developer happiness to Improve developer happiness.Apr 13 2017, 11:04 PM
Jdlrobson triaged this task as High priority.Apr 20 2017, 11:10 PM

Do we want to work on the whole epic next sprint, or do we want to pull some tasks from it? The epic looks big for one sprint.

No this epic won't get pulled into the sprints and we won't finish it this sprint. I'm just putting it here to help me plan subtasks.
All will become clear when the new sprint board is setup which I'm waiting for @MBinder_WMF to do (because forever sprints etc)

Jdlrobson renamed this task from Improve developer happiness to Improve developer happiness in reading web maintained extensions.Jul 9 2018, 4:27 PM
Jdlrobson closed this task as Resolved.
Jdlrobson claimed this task.

I'm going to resolve this as this card seems to have run its course.
There are epics for the remaining work (T174018, T162256, T107588, T158980, T195473) and epics with only epics for subtasks are not too useful.